Skip to main content
`Ctrl`+`K`

# ColumnInfo

class astropy.table.ColumnInfo(bound=False)

  Bases: `BaseColumnInfo`

  Container for meta information like name, description, format.

  This is required when the object is used as a mixin column within a table, but can be used as a general way to store meta information.

  Attributes Summary

  `attr_names` |
  `attrs_from_parent` |
  `description` |
  `dtype` |
  `format` |
  `groups` |
  `indices` |
  `meta` |
  `name` |
  `parent_table` |
  `unit` |

  Methods Summary

  `get_sortable_arrays`() | Return a list of arrays which can be lexically sorted to represent the order of the parent column.
  `new_like`(cols, length[, metadata_conflicts, ...]) | Return a new Column instance which is consistent with the input `cols` and has `length` rows.

  Attributes Documentation

  attr_names = {'description', 'dtype', 'format', 'groups', 'indices', 'meta', 'name', 'parent_table', 'unit'}
  attrs_from_parent = {'description', 'dtype', 'format', 'groups', 'indices', 'meta', 'name', 'parent_table', 'unit'}
  description
  dtype
  format
  groups
  indices
  meta
  name
  parent_table
  unit

  Methods Documentation

  get_sortable_arrays()

    Return a list of arrays which can be lexically sorted to represent the order of the parent column.

    For Column this is just the column itself.

    Returns:
      arrays `python:list` of `ndarray`
  new_like(cols, length, metadata_conflicts='warn', name=None)

    Return a new Column instance which is consistent with the input `cols` and has `length` rows.

    This is intended for creating an empty column object whose elements can be set in-place for table operations like join or vstack.

    Parameters:
      cols `python:list`

        List of input columns

      length `python:int`

        Length of the output column object

      metadata_conflicts `python:str` (‘warn’|’error’|’silent’)

        How to handle metadata conflicts

      name `python:str`

        Output column name

    Returns:
      col `Column` (or subclass)

        New instance of this class consistent with `cols`